"use strict";
this.name = "Deep_Horizon_Emer_Jump_Initiator_Equipment";
this.author	= "Cmd. Cheyd (Blake Deakins)";
this.description = "Adds a prime-able piece of equipment that drastically reduces the countdown time required to initiate a hyperspace (or witchspace) jump.";
this.version = "1.0.0";
this.copyright = " Creative Commons Attribution-Noncommercial-No Derivative Works 3.0 United States license (Modified)";


//*************************************************************************************************************
//************************************           Event Functions           ************************************
//*************************************************************************************************************

this.activated = function () {
	worldScripts["Deep_Horizon_Emer_Jump_Initiator"]._ewiActivated();
	}


this.equipmentDestroyed = this.equipmentDamanged = function (equipment) {
	//if the equipment damaged WAS the EWI, and a Jump Calc is running, and it was triggered by the EWI- Cancel the jump
	if (equipment == "EQ_EMERGENCY_JUMP_INITIATOR" && worldScripts["Deep_Horizon_Emer_Jump_Initiator"].$usedEWI && player.ship.status == "STATUS_WITCHSPACE_COUNTDOWN") {
		worldScripts["Deep_Horizon_Emer_Jump_Initiator"].playerCancelledJumpCountdown();
	}
}
